# Interface BranchRow

interface BranchRow {
branchId?: string;
isDeleted?: boolean;
isExpanded?: boolean;
noteId: string;
notePosition?: null | number;
parentNoteId: string;
prefix?: null | string;
utcDateModified?: string;
}

- Defined in becca/entities/rows.ts:87

#####
Index

### Properties

branchId?
isDeleted?
isExpanded?
noteId
notePosition?
parentNoteId
prefix?
utcDateModified?

##
Properties

### `Optional` branchId

branchId?: string

- Defined in becca/entities/rows.ts:88

### `Optional` isDeleted

isDeleted?: boolean

- Defined in becca/entities/rows.ts:94

### `Optional` isExpanded

isExpanded?: boolean

- Defined in becca/entities/rows.ts:93

### noteId

noteId: string

- Defined in becca/entities/rows.ts:89

### `Optional` notePosition

notePosition?: null | number

- Defined in becca/entities/rows.ts:92

### parentNoteId

parentNoteId: string

- Defined in becca/entities/rows.ts:90

### `Optional` prefix

prefix?: null | string

- Defined in becca/entities/rows.ts:91

### `Optional` utcDateModified

utcDateModified?: string

- Defined in becca/entities/rows.ts:95